package com.hs.api.common.enums;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


public enum SysConfigKeyType {
    MAC_ADDRESS_RANGE("MAC_ADDRESS_RANGE","MAC地址范围过滤"),
    MAC_BINDING("MAC_BINDING","MAC地址绑定");

    private String value;
    private String desc;

    SysConfigKeyType(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public static List<Map<String,Object>> all() {
        List<Map<String,Object>> list = new ArrayList<>();
        for(SysConfigKeyType projectType : values()){
            Map<String,Object> map = new HashMap<String,Object>() {
                {
                    put("value",projectType.getValue());
                    put("description",projectType.getDesc());
                }
            };
            list.add(map);
        }
        return list;
    }
}
